%global _empty_manifest_terminate_build 0
Name:		python-zope-hookable
Version:	5.4
Release:	1
Summary:	Zope hookable
License:	ZPL 2.1
URL:		https://www.python.org/pypi/zope.hookable
Source0:	https://files.pythonhosted.org/packages/26/ce/ba1346f4c078321683c0118fc7706287493294d1cb637bf356be94de8c40/zope.hookable-5.4.tar.gz

%description
This package supports the efficient creation of "hookable" objects, which
are callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation.  All users of the function, including those
that imported it, will see the change.

%package -n python3-zope-hookable
Summary:	Zope hookable
Provides:	python-zope-hookable
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc

%description -n python3-zope-hookable
This package supports the efficient creation of "hookable" objects, which
are callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation.  All users of the function, including those
that imported it, will see the change.

%package help
Summary:	Development documents and examples for zope.hookable
Provides:	python3-zope-hookable-doc

%description help
Development documents and examples for zope.hookable.

%prep
%autosetup -n zope.hookable-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-zope-hookable -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Dec 15 2022 chendexi <chendexi@kylinos.cn> - 5.4-1
- Upgrade package to version 5.4

* Wed Nov 09 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 5.3-1
- Upgrade package to version 5.3

* Wed Jun 29 2022 caodongxia <caodongxia@h-partners.com> - 5.1.0-1
- Update to 5.1.0

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.0.1-2
- DESC: delete BuildRequires gdb

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
